Subject: bug#5552: closed (Re: bug#5552: 23.1; desktop seems not quite to understand session management)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 02 May 2010 18:51:02 +0000

Your bug report

#5552: 23.1; desktop seems not quite to understand session management

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5552: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5552
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5552: 23.1; desktop seems not quite to understand session management
From: Jan Djärv <[email-masked]>
To: Chong Yidong <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 02 May 2010 20:50:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

2010-02-10 10:38, Chong Yidong skrev:
> Jan Djärv<[email-masked]>  writes:
>
>> When you log out, the X connection is closed and emacs exits.
>> However, it does not run kill-emacs-hooks.  Desktop.el depends on that
>> hook to clean up after itself.
>>
>> Should we run kill-emacs instead of shut_down_emacs when exiting due
>> to X connection lost?
>
> There was a related thread about this a year ago, regarding how Emacs
> responds to SIGTERM by calling shut_down_emacs rather than kill-emacs:
>
>    http://lists.gnu.org/archive/html/emacs-devel/2009-01/msg00530.html
>
> The thread did not have a clear conclusion, but I'm in favor of changing
> things to run kill-emacs in such situations.  But I think this is best
> done after the release, unless someone can come up with a very
> convincing argument otherwise.

kill-emacs is now run in Emacs 24 when X connection is lost, when SIGTERM or 
SIGHUP is received (Gnome session management uses SIGHUP to kill X clients).

	Jan D.

Subject: 23.1; desktop seems not quite to understand session management
From: [email-masked]
To: [email-masked]
Date: Tue, 09 Feb 2010 17:42:13 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

If I log out of my GNOME desktop then back in, desktop says that
another Emacs process (the old one) appears to be using the desktop
file and asks me if I want to use it anyway. If I say “y” then things
work as normal (unsurprisingly, since the old process is no longer
running). However, desktop should know that the old process is dead;
perhaps it needs to talk to the session manager code?

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.18.3)
 of 2009-11-10 on vernadsky, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.10604000
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: CPerl

Minor modes in effect:
  show-paren-mode: t
  savehist-mode: t
  minibuffer-electric-default-mode: t
  iswitchb-mode: t
  icomplete-mode: t
  global-auto-revert-mode: t
  desktop-save-mode: t
  global-whitespace-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<down-mouse-1> <mouse-1> <help-echo> <down-mouse-1> 
<mouse-1> y <down-mouse-1> <mouse-1> <down-mouse-1> 
<mouse-1> M-x r e p o r t - e m <tab> <return>

Recent messages:
uncompressing emacs-6.gz...done
uncompressing emacs-7.gz...done
uncompressing emacs-8.gz...done
Scanning for "hard" Perl constructions... done
Loading make-mode...done
Scanning for "hard" Perl constructions... done
Scanning for "hard" Perl constructions... done
Scanning for "hard" Perl constructions... done
Lazy desktop load complete
call-interactively: Text is read-only [2 times]